// outlooksampleDlg.h : header file
//

#if !defined(AFX_OUTLOOKSAMPLEDLG_H__37E30B1F_3501_42DC_B091_5EF633E344AA__INCLUDED_)
#define AFX_OUTLOOKSAMPLEDLG_H__37E30B1F_3501_42DC_B091_5EF633E344AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class COutlooksampleDlgAutoProxy;

/////////////////////////////////////////////////////////////////////////////
// COutlooksampleDlg dialog

class COutlooksampleDlg : public CDialog
{
	DECLARE_DYNAMIC(COutlooksampleDlg);
	friend class COutlooksampleDlgAutoProxy;

// Construction
public:


	COutlooksampleDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~COutlooksampleDlg();


	void DisplayMailItem(Outlook::_MailItemPtr& item); 

// Dialog Data
	//{{AFX_DATA(COutlooksampleDlg)
	enum { IDD = IDD_OUTLOOKSAMPLE_DIALOG };
	CEdit	m_mail;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COutlooksampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	DECLARE_DISPATCH_MAP()
	void NewInspector(IDispatch *inspector);

// Implementation
protected:
	COutlooksampleDlgAutoProxy* m_pAutoProxy;
	HICON m_hIcon;

	BOOL CanExit();

	// Generated message map functions
	//{{AFX_MSG(COutlooksampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	Outlook::_ApplicationPtr m_outlook; 
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OUTLOOKSAMPLEDLG_H__37E30B1F_3501_42DC_B091_5EF633E344AA__INCLUDED_)
