#if !defined(AFX_EVENTSINK_H__DC569316_3641_42A7_A8FB_885B5568885D__INCLUDED_)
#define AFX_EVENTSINK_H__DC569316_3641_42A7_A8FB_885B5568885D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EventSink.h : header file
//

#include "outlooksampleDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CEventSink command target

class CEventSink : public CCmdTarget
{
	//DECLARE_DYNCREATE(CEventSink)


// Attributes
public:

	CEventSink(COutlooksampleDlg& m_dlg,IDispatch *relatedInspector);           // protected constructor used by dynamic creation
	
	// Operations
public:

	//helper functions
	static DWORD Advice(IUnknown *target,IUnknown *sink,REFIID iid);
	static void Unadvice(IUnknown *target,REFIID iid,DWORD dwCokkie);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEventSink)
	//}}AFX_VIRTUAL

	DECLARE_DISPATCH_MAP()

	//
	void Activate();
	void Close();
	void Deactivate();

	//explorer events
	void SelectionChange();

// Implementation
protected:
	virtual ~CEventSink();

	// Generated message map functions
	//{{AFX_MSG(CEventSink)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
	COutlooksampleDlg& m_dlg;

	Outlook::_InspectorPtr m_inspector;

	Outlook::_ExplorerPtr m_explorer;

	DWORD m_dwCokkie;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EVENTSINK_H__DC569316_3641_42A7_A8FB_885B5568885D__INCLUDED_)
